接口说明

Keyword Trends API 接口获取关键词在不同时间段、地区的热度变化趋势。支持跨区域对比、历史波动分析,帮助电商卖家洞察市场趋势、把握关键词热度变化。

请求URL

POST https://scrapeapi.pangolinfo.com/api/v2/google/trends

请求头

参数名参数值类型说明
Content-Typeapplication/jsonstring数据格式
AuthorizationBearer xxxstring认证凭证

请求参数

参数必填类型说明
timeRangeYesstring时间范围
regionYesobject地区代码
keywordsYesstring[]搜索关键词列表
languageYesstring语言

响应值

返回值类型说明
codeint状态码
messagestring信息
dataobject返回数据

请求示例

curl --request POST \
  --url https://scrapeapi.pangolinfo.com/api/v1/google/trends \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "timeRange": "today 12-m",
  "region": "US",
  "keywords": ["shoe", "hat"],
  "language": "en-US"
}'

返回示例

{
  "code": 0,
  "message": "ok",
  "data": {
    "json": {"keywordsGeoData": [{"keyword": "hat","geoMapData": [{  "geoCode": "US-WY",  "geoName": "Wyoming",  "value": [    100  ],  "formattedValue": [    "100"  ],  "maxValueIndex": 0,  "hasData": [    true  ]}]},{  "keyword": "shoe",  "geoMapData": [    {      "geoCode": "US-MS",      "geoName": "Mississippi",      "value": [        100      ],      "formattedValue": [        "100"      ],      "maxValueIndex": 0,      "hasData": [        true      ]    }  ]}],"keywordsRankData": [{  "keyword": "hat",  "rankList": [    {      "rankedKeyword": [        {          "query": "the hat",          "value": 100,          "formattedValue": "100",          "hasData": true,          "link": "/trends/explore?q=the+hat&date=today+12-m&geo=US"        }      ]    },    {      "rankedKeyword": [        {          "query": "shop disco cowboy hat",          "value": 59700,          "formattedValue": "Breakout",          "link": "/trends/explore?q=shop+disco+cowboy+hat&date=today+12-m&geo=US"        }      ]    }  ]},{  "keyword": "shoe",  "rankList": [    {      "rankedKeyword": [        {          "query": "shoes",          "value": 100,          "formattedValue": "100",          "hasData": true,          "link": "/trends/explore?q=shoes&date=today+12-m&geo=US"        }      ]    },    {      "rankedKeyword": [        {          "query": "shop shoe organizer",          "value": 1850,          "formattedValue": "+1,850%",          "link": "/trends/explore?q=shop+shoe+organizer&date=today+12-m&geo=US"        }      ]    }  ]}],"timelineData": [{  "time": "1742083200",  "formattedTime": "Mar 16 – 22, 2025",  "formattedAxisTime": "Mar 16, 2025",  "value": [    48,    66  ],  "hasData": [    true,    true  ],  "formattedValue": [    "48",    "66"  ]}],"geoMapData": [ {"geoCode": "US-MS","geoName": "Mississippi","value": [  49,  51  ],"formattedValue": [ "49%",  "51%"  ],"maxValueIndex": 1,"hasData": [ true,  true  ]}]},
    "taskId": "1773644331294-8d7c9e4d01689642",
    "url": "https://trends.google.com/trends/explore?date=today%2012-m&geo=US&q=shoe,hat&hl=en-US"
  }
}

积点消耗说明

  • 平均响应时间:5s
  • 积点消耗:1.5个/次